# FoundationClasses
TKernel
TCollection

# TCollection_Array2Descriptor Class Reference

`#include <TCollection_Array2Descriptor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT Standard_Integer | UpperRow () const
Standard_EXPORT Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | UpperCol () const
Standard_EXPORT Standard_Integer | LowerCol () const
Standard_EXPORT Standard_Address | Address () const

## Protected Member Functions

Standard_EXPORT | TCollection_Array2Descriptor (const Standard_Integer aLowerRow, const Standard_Integer aUpperRow, const Standard_Integer aLowerCol, const Standard_Integer aUpperCol, const Standard_Address anAddress)

## Private Attributes

Standard_Address | myAddress
Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol

## Constructor & Destructor Documentation

Standard_EXPORT TCollection_Array2Descriptor::TCollection_Array2Descriptor | ( | const Standard_Integer | aLowerRow,
|  | const Standard_Integer | aUpperRow,
|  | const Standard_Integer | aLowerCol,
|  | const Standard_Integer | aUpperCol,
|  | const Standard_Address | anAddress
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Standard_Address TCollection_Array2Descriptor::Address | ( |  | ) | const

Standard_EXPORT Standard_Integer TCollection_Array2Descriptor::LowerCol | ( |  | ) | const

Standard_EXPORT Standard_Integer TCollection_Array2Descriptor::LowerRow | ( |  | ) | const

void TCollection_Array2Descriptor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TCollection_Array2Descriptor::operator new | ( | size_t | size | ) | `[inline]`

void* TCollection_Array2Descriptor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer TCollection_Array2Descriptor::UpperCol | ( |  | ) | const

Standard_EXPORT Standard_Integer TCollection_Array2Descriptor::UpperRow | ( |  | ) | const

## Field Documentation

Standard_Address TCollection_Array2Descriptor::myAddress `[private]`

Standard_Integer TCollection_Array2Descriptor::myLowerCol `[private]`

Standard_Integer TCollection_Array2Descriptor::myLowerRow `[private]`

Standard_Integer TCollection_Array2Descriptor::myUpperCol `[private]`

Standard_Integer TCollection_Array2Descriptor::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- TCollection_Array2Descriptor.hxx